Bug 1584966 - registry-console is not deployed against reg-aws mirror registry
Summary: registry-console is not deployed against reg-aws mirror registry
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.10.0
Assignee: Scott Dodson
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-01 04:00 UTC by Johnny Liu
Modified: 2018-07-23 13:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-18 16:47:54 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 1 Scott Dodson 2018-06-01 14:30:32 UTC
I'm sure this is related to https://github.com/openshift/openshift-ansible/pull/8545

Comment 2 Scott Dodson 2018-06-01 14:31:09 UTC
If we don't have a fix for that by end of day Monday lets revert that change as it was mainly aesthetic.

Comment 3 Kenjiro Nakayama 2018-06-02 04:13:20 UTC
>      message: you may not have access to the Docker image "xxx.xxx.openshift.com:443/openshift3/registry-console:v3.10"

Although it would be able to solve by creating secret with oreg_auth_user and oreg_auth_password as [1], deploy task of registry-console will be more complicated. Actually other DCs like asb and asb-etcd do not use imagestream atm.
Hence, I personally think that reverting the commit 09e288c is fine. (Having said that, once SDN was tested with private registry, I guess that it will face same issue with this...)

@Vadim WDYT?

[1] https://docs.openshift.com/container-platform/3.9/dev_guide/managing_images.html#allowing-pods-to-reference-images-from-other-secured-registries

Comment 4 Scott Dodson 2018-06-04 12:11:43 UTC
Yeah, we need to provision the pull secret into all namespaces that may pull from an authenticated registry. We're working on that for 3.11.

https://github.com/openshift/openshift-ansible/pull/8616 to revert the conversion to image streams

Comment 7 Scott Dodson 2018-06-05 14:21:46 UTC
Fix is in openshift-ansible-3.10.0-0.59.0


Note You need to log in before you can comment on or make changes to this bug.